function [bestCost, bestCuts] = cutCPUTime(p, n)

tic
bestCost = -Inf;
bestCuts = dec2bin(0, n-1);

for i = 0:2^(n-1)
  
  cuts = dec2bin(i, n-1);
  
  cost = 0;
  blockLength = 1;
  for j = 1:n-1 %work through all of the cuts
    if cuts(j) == '0'
      blockLength = blockLength + 1;
    else
      cost = cost + p(blockLength);
      blockLength = 1;
    end %if
  end %for
  
  cost = cost + p(blockLength);
  
  if bestCost < cost
    bestCost = cost;
    bestCuts = cuts;
  end %if
  
end %for

toc
end %cutCPUTime